<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<dom-module id="dez-piece-title">
  <template>
    <style>

    :host {
        flex: 1 4;
        min-width: 0; /* https://css-tricks.com/flexbox-truncated-text/ */
        white-space: nowrap;
        overflow: hidden;
        margin-right: 10px;
    }

    span.composer { font-size: smaller; margin-left: 1.5ex; margin-top: 3px; }

    </style>

    <div main-title class="main-title hidden-xs">
        [[title]]
        <span class='composer hidden-md'>[[composer]]</span>
    </div>

  </template>

  <script>

  class DezPieceTitle extends Polymer.Element {

      static get is() { return 'dez-piece-title'; }

      static get properties() {
        return {
          title: String,
          composer : String
        };
      }


  }

  window.customElements.define(DezPieceTitle.is, DezPieceTitle);

  </script>
</dom-module>
